BLZSatz
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.BankenDaten

## Class BLZSatz

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.BankenDaten.BLZSatz

-     public class BLZSatz
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `aenderungskennzeichen` Seit dem letzten Abschluss der Bankleitzahlendatei neu hinzugekommene Datensätze werden mit "A" (Addition), geänderte Datensätze mit "M" (Modified), unveränderte Datensätze mit "U" (Unchanged) gekennzeichnet.
    `private java.lang.String` | `bezeichnung` Bezeichnung des Zahlungsdienstleisters
    `private java.io.BufferedInputStream` | `bi`
    `private java.lang.String` | `bic` Der Bank Identifier Code (BIC) besteht aus acht oder elf zusammenhängenden Stellen und setzt sich aus den Komponenten BANKCODE (4 Stellen), LÃ„NDERCODE (2 Stellen), ORTSCODE (2 Stellen) sowie ggf. einem FILIALCODE (3 Stellen) zusammen.
    `private java.lang.String` | `blz` Die Bankleitzahl dient der eindeutigen Identifizierung eines Zahlungsdienstleisters.
    `private java.lang.String` | `hinweisloeschung` Zur frühzeitigen Information der Teilnehmer am Zahlungsverkehr und zur Beschleunigung der Umstellung der Bankverbindung kann ein Zahlungsdienstleister, der die Löschung einer Bankleitzahl mit dem Merkmal "1" im Feld 2 beabsichtigt, die Löschung ankündigen.
    `private java.lang.String` | `ibanregel`
    `private java.lang.String` | `institutsnummerPAN` Für den Kartenzahlungsverkehr mittels Bankkundenkarten die am girocard-System teilnehmen, haben die Spitzenverbände des Kreditgewerbes eine gesonderte Institutsnummerierung festgelegt; danach erhält der kartenausgebende Zahlungsdienstleister eine fünfstellige Institutsnummer für PAN (= Primary Account Number).
    `private java.lang.String` | `kurzbezeichnung`
    `private java.lang.String` | `nachfolgeblz` Das Feld enthält entweder den Wert "00000000" (Bankleitzahl ist nicht zur Löschung vorgesehen bzw. der Zahlungsdienstleister hat keine Nachfolge-Bankleitzahl veröffentlicht) oder die Angabe einer "Bankleitzahl".
    `private java.lang.String` | `nummer` Bei jeder Neuanlage eines Datensatzes wird automatisiert eine eindeutige Nummer vergeben.
    `private java.lang.String` | `ort`
    `private java.lang.String` | `plz`
    `private int` | `pos`
    `private java.lang.String` | `pruefziffernmethode` Zahlungsdienstleister sind verpflichtet, zum Zahlungsverkehr ausschlieÃŸlich prüfziffergesicherte Kontonummern gemäßŸ ihrer in der Bankleitzahlendatei angegebenen Prüfzifferberechnungsmethode zu verwenden.
    `private java.lang.String` | `zahlungsdienstleister` Merkmal, ob bankleitzahlführender Zahlungsdienstleister ("1") oder nicht ("2")
    `private java.lang.String` | `zeile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BLZSatz(java.io.BufferedReader br)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAenderungskennzeichen()`
    `java.lang.String` | `getBezeichnung()`
    `java.lang.String` | `getBic()`
    `java.lang.String` | `getBlz()`
    `java.lang.String` | `getHinweisloeschung()`
    `java.lang.String` | `getIBANRegel()`
    `java.lang.String` | `getInstitutsnummerPAN()`
    `java.lang.String` | `getKurzbezeichnung()`
    `java.lang.String` | `getNachfolgeblz()`
    `java.lang.String` | `getNummer()`
    `java.lang.String` | `getOrt()`
    `java.lang.String` | `getPlz()`
    `java.lang.String` | `getPruefziffernmethode()`
    `private java.lang.String` | `getString(int len)`
    `java.lang.String` | `getZahlungsdienstleister()`
    `boolean` | `hasNext()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bi

          private java.io.BufferedInputStream bi

    - #### blz

          private java.lang.String blz

      Die Bankleitzahl dient der eindeutigen Identifizierung eines Zahlungsdienstleisters.

    - #### zahlungsdienstleister

          private java.lang.String zahlungsdienstleister

      Merkmal, ob bankleitzahlführender Zahlungsdienstleister ("1") oder nicht ("2")

    - #### bezeichnung

          private java.lang.String bezeichnung

      Bezeichnung des Zahlungsdienstleisters

    - #### plz

          private java.lang.String plz

    - #### ort

          private java.lang.String ort

    - #### kurzbezeichnung

          private java.lang.String kurzbezeichnung

    - #### institutsnummerPAN

          private java.lang.String institutsnummerPAN

      Für den Kartenzahlungsverkehr mittels Bankkundenkarten die am girocard-System teilnehmen, haben die Spitzenverbände des Kreditgewerbes eine gesonderte Institutsnummerierung festgelegt; danach erhält der kartenausgebende Zahlungsdienstleister eine fünfstellige Institutsnummer für PAN (= Primary Account Number). Einer Institutsnummer für PAN ist immer nur genau eine Bankleitzahl zugeordnet.

    - #### bic

          private java.lang.String bic

      Der Bank Identifier Code (BIC) besteht aus acht oder elf zusammenhängenden Stellen und setzt sich aus den Komponenten BANKCODE (4 Stellen), LÃ„NDERCODE (2 Stellen), ORTSCODE (2 Stellen) sowie ggf. einem FILIALCODE (3 Stellen) zusammen.

    - #### pruefziffernmethode

          private java.lang.String pruefziffernmethode

      Zahlungsdienstleister sind verpflichtet, zum Zahlungsverkehr ausschlieÃŸlich prüfziffergesicherte Kontonummern gemäßŸ ihrer in der Bankleitzahlendatei angegebenen Prüfzifferberechnungsmethode zu verwenden. Die Angabe der Prüfzifferberechnungsmethode "09" (keine Prüfzifferberechnung) ist zulässig.

    - #### nummer

          private java.lang.String nummer

      Bei jeder Neuanlage eines Datensatzes wird automatisiert eine eindeutige Nummer vergeben. Eine einmal verwendete Nummer wird nicht noch einmal vergeben.

    - #### aenderungskennzeichen

          private java.lang.String aenderungskennzeichen

      Seit dem letzten Abschluss der Bankleitzahlendatei neu hinzugekommene Datensätze werden mit "A" (Addition), geänderte Datensätze mit "M" (Modified), unveränderte Datensätze mit "U" (Unchanged) gekennzeichnet. Gelöschte Datensätze werden mit "D" (Deletion) gekennzeichnet und sind - als Hinweis - letztmalig in der Bankleitzahlendatei enthalten. Diese Datensätze sind ab dem Gültigkeitstermin der Bankleitzahlendatei im Zahlungsverkehr nicht mehr zu verwenden.

    - #### hinweisloeschung

          private java.lang.String hinweisloeschung

      Zur frühzeitigen Information der Teilnehmer am Zahlungsverkehr und zur Beschleunigung der Umstellung der Bankverbindung kann ein Zahlungsdienstleister, der die Löschung einer Bankleitzahl mit dem Merkmal "1" im Feld 2 beabsichtigt, die Löschung ankündigen. Die Ankündigung kann erfolgen, sobald der Zahlungsdienstleister seine Kunden über die geänderte Kontoverbindung informiert hat. Das Feld enthält das Merkmal "0" (keine Angabe) oder "1" (Bankleitzahl im Feld 1 ist zur Löschung vorgesehen).

    - #### nachfolgeblz

          private java.lang.String nachfolgeblz

      Das Feld enthält entweder den Wert "00000000" (Bankleitzahl ist nicht zur Löschung vorgesehen bzw. der Zahlungsdienstleister hat keine Nachfolge-Bankleitzahl veröffentlicht) oder die Angabe einer "Bankleitzahl". Eine Bankleitzahl kann angegeben sein, wenn das Feld 2 das Merkmal "1" enthält und entweder die bevorstehende Löschung der Bankleitzahl angekündigt wurde (Feld 12 = "1") oder die Bankleitzahl zum aktuellen GÃ¼ltigkeitstermin gelöscht wird (Feld 11 = "D"). Auf Grund der Veröffentlichung einer Nachfolge-Bankleitzahl können Anwender diese in Zahlungsverkehrsdateien verwenden. Dazu wird in den Kontostammdaten â€“ unter Beibehaltung der Kontonummer - die zur Löschung angekündigte Bankleitzahl bzw. die gelöschte Bankleitzahl im Feld 1 der Bankleitzahlendatei durch die Nachfolge-Bankleitzahl dauerhaft ersetzt. Zahlungsdienstleister sind nicht berechtigt, in Zahlungsverkehrsdateien Bankleitzahlen durch Nachfolge-Bankleitzahlen zu ersetzen.

    - #### ibanregel

          private java.lang.String ibanregel

    - #### zeile

          private java.lang.String zeile

    - #### pos

          private int pos

  - ### Constructor Detail

    - #### BLZSatz

          public BLZSatz(java.io.BufferedReader br)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getString

          private java.lang.String getString(int len)

    - #### getBlz

          public java.lang.String getBlz()

    - #### getZahlungsdienstleister

          public java.lang.String getZahlungsdienstleister()

    - #### getBezeichnung

          public java.lang.String getBezeichnung()

    - #### getPlz

          public java.lang.String getPlz()

    - #### getOrt

          public java.lang.String getOrt()

    - #### getKurzbezeichnung

          public java.lang.String getKurzbezeichnung()

    - #### getInstitutsnummerPAN

          public java.lang.String getInstitutsnummerPAN()

    - #### getBic

          public java.lang.String getBic()

    - #### getPruefziffernmethode

          public java.lang.String getPruefziffernmethode()

    - #### getNummer

          public java.lang.String getNummer()

    - #### getAenderungskennzeichen

          public java.lang.String getAenderungskennzeichen()

    - #### getHinweisloeschung

          public java.lang.String getHinweisloeschung()

    - #### getNachfolgeblz

          public java.lang.String getNachfolgeblz()

    - #### getIBANRegel

          public java.lang.String getIBANRegel()

    - #### hasNext

          public boolean hasNext()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`